Package org.sqlite.util

## Interface Logger

    public interface Logger

A simple internal Logger interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `error​(Supplier<String> message, Throwable t)`
`void` `info​(Supplier<String> message)`
`void` `trace​(Supplier<String> message)`
`void` `warn​(Supplier<String> message)`

### Method Detail

#### trace

    void trace​(Supplier<String> message)

#### info

    void info​(Supplier<String> message)

#### warn

    void warn​(Supplier<String> message)

#### error

    void error​(Supplier<String> message,
               Throwable t)